Bug 119460 - copy hidden child section at beginning of document via transferable will fail
Summary: copy hidden child section at beginning of document via transferable will fail
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Section
  Show dependency treegraph
 
Reported: 2018-08-23 17:00 UTC by Oliver Brinzing
Modified: 2021-09-19 03:43 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
copy_fails_if_child_section_is_hidden (32.73 KB, application/vnd.oasis.opendocument.text)
2018-08-23 17:00 UTC, Oliver Brinzing
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Brinzing 2018-08-23 17:00:34 UTC
Created attachment 144401 [details]
copy_fails_if_child_section_is_hidden

steps to reproduce:

- open attached document and press button
- text will be copied into a new document
- hide "Child" section: Menu Format Sections... /Section "Child" [X] Hide
- press button again
- nothing will be copied
Comment 1 Buovjaga 2018-09-18 15:22:52 UTC
Repro with document.

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: 05db125c57ea3c8f04a304561209c32cc5c45a67
CPU threads: 8; OS: Linux 4.18; UI render: default; VCL: gtk3_kde5; 
Locale: fi-FI (fi_FI.UTF-8); Calc: threaded
Built on September 17th 2018
Comment 2 QA Administrators 2019-09-19 03:14:23 UTC Comment hidden (obsolete)
Comment 3 Oliver Brinzing 2019-09-19 08:44:59 UTC
still reproducible with:

Version: 6.4.0.0.alpha0+ (x64)
Build ID: c5d37d324cd6d17114c209de1862344ad58a1d93
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded
Comment 4 QA Administrators 2021-09-19 03:43:47 UTC
Dear Oliver Brinzing,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug